/*
 * Copyright 2025 mistekko
 *
 * This program is part of `rule34dle'. `rule34dle' is free
 * software: you can redistribute it and/or modify it under
 * the  terms of the GNU General Public License as publi
 * shed by the Free Software Foundation, either version 3 of
 * the License, or (at your  option)  any later version.
 *
 * `rule34dle is distributed in the hope that it will be
 * useful, but WITHOUT  ANY WARRANTY; without even the
 * implied warranty of  MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU General Public License
 * for more  details.
 *
 * You should have received a copy of the GNU General
 * Public License along with this program. If not, see:
 * https://www.gnu.org/licenses/
 */
body {
    margin: 0;
}

.box {
    margin: 2%;
    display: flex;
    flex-direction: column;
}

.button {
    background-color: #fdc;
    border: none;
    margin: 4px;
    border-radius: 20px;
    line-height: 44px;
    width: 120px;
    font-size: 1em;
}

.button:hover {
    background-color: #fed;
}

.button:active {
    background-color: #eba;
}

.img {
    max-height: 60vh;
    width: 100%;
    object-fit: cover;
    object-position: top;
}

#title-box {
    margin: 4px;
}

#current-score, #hi-score {
    flex-grow: 0;
}

#big-box {
    background-color: #dec;
    border: 1px solid #aaa;
    width: 80vw;
    height: 90vh;
    display: flex;
    flex-direction: column;
}

#game-box {
    height: 100%;
    background-color: #cdf;
    display: flex;
    flex-direction: row;
    /* flex-basis: 3 2 3; */
}

#left-box, #right-box {
    width: 40%;
    height: 100%
}

#middle-box {
    display: flex;
    flex-direction: column;
    /* flex: 1 1 3 3 3; */
}
